Name:           mtn-browse
Version:        0.72
Release:        1%{?dist}
Summary:        Application for browsing Monotone VCS databases
Group:          Development/Tools
License:        GPLv3+
URL:            http://www.coosoft.plus.com/software.html
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Gnome2)
BuildRequires:  perl(Gnome2::Canvas)
BuildRequires:  perl(Gnome2::VFS)
BuildRequires:  perl(Gtk2::GladeXML)
BuildRequires:  perl(Gtk2::SourceView)
BuildRequires:  perl(Locale::TextDomain)
BuildRequires:  perl(Monotone::AutomateStdio)
BuildRequires:  gettext
# default is kompare, but we don't want to drag in all KDE
BuildRequires:  meld
Requires:       meld
BuildArch:      noarch

%description
Monotone browser (mtn-browse) is an application for browsing Monotone
VCS databases without the need for a workspace. The interface allows
one to:
* Easily select a revision from within a branch
* Find a revision using complex queries
* Navigate the contents of a revision using a built in file manager
* Display file contents, either using the internal viewer or an
  external helper application
* Compare the changes between different revisions or versions of a
  file either using the internal difference viewer or an external
  application
* Find files within a revision based on detailed search criteria
* Display file annotations and easily refer back to the corresponding
  change documentation
* Save files to disk

%filter_provides_in %{_datadir}/%{name}/perl
%{filter_from_requires /perl(AdvancedFind)/d;
                       /perl(Annotate)/d;
                       /perl(CachingAutomateStdio)/d;
                       /perl(ChangeLog)/d;
                       /perl(ComboAutoCompletion)/d;
                       /perl(Common)/d;
                       /perl(Completion)/d;
                       /perl(FindFiles)/d;
                       /perl(FindText)/d;
                       /perl(Globals)/d;
                       /perl(History)/d;
                       /perl(LocaleEnableUtf8)/d;
                       /perl(ManageServerBookmarks)/d;
                       /perl(MultipleRevisions)/d;
                       /perl(Preferences)/d;
                       /perl(WindowManager)/d;
}
%filter_setup

%prep
%setup -q


%build
%{__perl} Makefile.PL \
          PREFIX=%{_prefix} \
          DESTDIR=%{buildroot} \
          LIBDIR=share/%{name} \
	  FILE_COMPARISON=meld
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install
# use the packaged Monotone::AutomateStdio, not the bundled one
rm -rf %{buildroot}%{_datadir}/%{name}/perl/Monotone
%find_lang %{name}


%check
make test


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/%{name}


%changelog
* Sat Mar 12 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.72-1
- New package.
